#include <stdio.h>
#include <string.h>

#define	MAXLEN	1024
int main()
{
	FILE *fp;
	char str[MAXLEN];
	char *prefix = "hw.physmem: ";
	size_t plen = strlen(prefix);
	memset(str, 0, MAXLEN);
	fp = popen("sysctl hw.physmem", "r");
	if(!fp)
	{
		perror("popen(\"sysctl hw.physmem\")");
		return -1;
	}
	fgets(str, MAXLEN, fp);
	pclose(fp);
	if(memcmp(str, prefix, plen))
	{
		puts("sysctl hw.physmem returned garbage.");
		return -1;
	}
	printf(str + plen); /* \n was already read in */
	return 0;
}
